module github.com/jobs-scraper/services/scraper

go 1.24.0

toolchain go1.24.7

require (
	github.com/PuerkitoBio/goquery v1.10.3
	github.com/jobs-scraper/internal/pkg/domain v0.0.0
	github.com/jobs-scraper/internal/pkg/infrastructure v0.0.0
	github.com/jobs-scraper/internal/pkg/utils v0.0.0
	github.com/jobs-scraper/libs/repo v0.0.0
	github.com/joho/godotenv v1.5.1
)

require (
	github.com/andybalholm/cascadia v1.3.3 // indirect
	github.com/golang-migrate/migrate/v4 v4.19.0 // indirect
	github.com/hashicorp/errwrap v1.1.0 // indirect
	github.com/hashicorp/go-multierror v1.1.1 // indirect
	github.com/lib/pq v1.10.9 // indirect
	github.com/rabbitmq/amqp091-go v1.10.0 // indirect
	golang.org/x/net v0.44.0 // indirect
)

replace github.com/jobs-scraper/internal/pkg/domain => ../../internal/pkg/domain

replace github.com/jobs-scraper/internal/pkg/infrastructure => ../../internal/pkg/infrastructure

replace github.com/jobs-scraper/libs/repo => ../../libs/repo

replace github.com/jobs-scraper/internal/pkg/utils => ../../internal/pkg/utils
